//
//  GMTDFleetEngineEnums.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import <Foundation/Foundation.h>

/**
 * \defgroup GMTDVehicleState GMTDVehicleState
 * @{
 */

/** Enum that represents the current vehicle state. */
typedef NS_ENUM(NSInteger, GMTDVehicleState) {
  GMTDVehicleStateOffline = 0,
  GMTDVehicleStateOnline,
};

/**@}*/
