//
//  GMTSVehicleSupportedTripType.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//
#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

/**
 * \defgroup GMTSVehicleSupportedTripTypes GMTSVehicleSupportedTripTypes
 * @{
 */

/**
 * Options for definition of allowed trip type.
 */
typedef NS_OPTIONS(NSUInteger, GMTSVehicleSupportedTripTypes) {
  GMTSVehicleSupportedTripTypesUnknown = 0,
  GMTSVehicleSupportedTripTypesShared = 1,
  GMTSVehicleSupportedTripTypesExclusive = 1 << 1,
};

/**@}*/

NS_ASSUME_NONNULL_END
