//
//  GMTSRequestOptions.h
//  Google Ridesharing SDK for iOS
//
//  Copyright 2021 Google LLC
//
//  Usage of this SDK is subject to the Google Maps/Google Earth APIs Terms of
//  Service: https://cloud.google.com/maps-platform/terms
//

#import <Foundation/Foundation.h>

/**
 * An object for defining the request options. This is an abstract class.
 * This object can be a part of a GMTSRequest, to specify extra prarameters of a request.
 */
@interface GMTSRequestOptions : NSObject <NSCopying, NSMutableCopying>
@end
